---
# tasks file for samba
    - name: Ensure Samba-related packages are installed (Debian).
      apt: "name={{ item }} state=present"
      with_items: "{{ pkg_install }}"
      tags: install

    - name: Ensure Samba is running and set to start on boot.
      service: "name={{ samba_daemon }} state=started enabled=yes"
      tags: install

    - name: Configure domain controller
      include: configure.yml
      tags: configure